=== hpi-cli-apps/Makefile ===
--- 
+++ 
@@ -33,12 +33,12 @@
 LD = $(CROSS_COMPILE)ld
 
 #WARNFULL_CFLAGS = -Wextra -pedantic -std=gnu99 -Wconversion
-CFLAGS = -pipe -g -O2 -Wall -DHPI_OS_LINUX -DHPI_BUILD_EXCLUDE_ALL_DEPRECATED \
+CFLAGS += -pipe -g -O2 -Wall -DHPI_OS_LINUX -DHPI_BUILD_EXCLUDE_ALL_DEPRECATED \
 	$(WARNFULL_CFLAGS)
 
 # Find out if this is a 64-bit build
 ar_gcc_arch=$(shell $(CC) -dumpmachine | awk -F- '{ print $$1 }')
-ifeq ($(ar_gcc_arch),x86_64)
+ifneq (,$(filter $(ar_gcc_arch),x86_64 aarch64))
 	CFLAGS += -D HPI_BUILD_64BIT
 endif
 
@@ -48,31 +48,31 @@
 bin-install-dir ?= $(install-prefix)/bin
 
 asihpirds: $(asihpirds-srcs)
-	$(CC) $(CFLAGS) $(INCLUDES) -o $@ $^ -lhpi -lm
+	$(CC) $(CFLAGS) $(LDFLAGS) $(INCLUDES) -o $@ $^ -lhpi -lm
 
 asihpi_si4688: $(asihpi-si4688-srcs)
-	$(CC) $(CFLAGS) $(INCLUDES) -o $@ $^ -lhpi -lm
+	$(CC) $(CFLAGS) $(LDFLAGS) $(INCLUDES) -o $@ $^ -lhpi -lm
 
 asihpitest: $(asihpitest-srcs)
-	$(CC) $(CFLAGS) $(INCLUDES) -o $@ $^ -lhpi -lm
+	$(CC) $(CFLAGS) $(LDFLAGS) $(INCLUDES) -o $@ $^ -lhpi -lm
 
 asihpirec: $(asihpirec-srcs)
-	$(CC) $(CFLAGS) $(INCLUDES) -DASIHPIREC -o $@ $^ -lhpi -lm
+	$(CC) $(CFLAGS) $(LDFLAGS) $(INCLUDES) -DASIHPIREC -o $@ $^ -lhpi -lm
 
 asihpiplay: $(asihpirec-srcs)
-	$(CC) $(CFLAGS) $(INCLUDES) -DASIHPIPLAY -o $@ $^ -lhpi -lm
+	$(CC) $(CFLAGS) $(LDFLAGS) $(INCLUDES) -DASIHPIPLAY -o $@ $^ -lhpi -lm
 
 asihpitune: $(asihpitune-srcs)
-	$(CC) $(CFLAGS) $(INCLUDES) -o $@ $^ -lhpi -lm
+	$(CC) $(CFLAGS) $(LDFLAGS) $(INCLUDES) -o $@ $^ -lhpi -lm
 
 asihpiassert: $(asihpiassert-srcs)
-	$(CC) $(CFLAGS) $(INCLUDES) -o $@ $^ -lhpi -lm
+	$(CC) $(CFLAGS) $(LDFLAGS) $(INCLUDES) -o $@ $^ -lhpi -lm
 
 asihpibl: $(asihpibl-srcs)
-	$(CC) $(CFLAGS) $(INCLUDES) -o $@ $^ -lhpi -lm
+	$(CC) $(CFLAGS) $(LDFLAGS) $(INCLUDES) -o $@ $^ -lhpi -lm
 
 asi_firmware_updater: $(asi-firmware-updater-srcs)
-	$(CC) $(CFLAGS) $(INCLUDES) -D HPI_BUILD_INCLUDE_INTERNAL -o $@ $^ -lhpiudp -lm -lpthread
+	$(CC) $(CFLAGS) $(LDFLAGS) $(INCLUDES) -D HPI_BUILD_INCLUDE_INTERNAL -o $@ $^ -lhpiudp -lm -lpthread
 
 setup: $(src-dist-files)
