=== hpi-lib/Makefile ===
--- 
+++ 
@@ -52,7 +52,7 @@
 
 # Find out if this is a 64-bit build
 ar_gcc_arch=$(shell $(CC) -dumpmachine | awk -F- '{ print $$1 }')
-ifeq ($(ar_gcc_arch),x86_64)
+ifneq (,$(filter $(ar_gcc_arch),x86_64 aarch64))
 	CFLAGS += -D HPI_BUILD_64BIT
 	lib-install-dir-candidates = $(install-prefix)/lib64 $(install-prefix)/lib
 else
@@ -83,7 +83,7 @@
 	$(AR) $(ARFLAGS) $@ $^
 libhpi.so: $(libhpi-objs)
 	-rm -f $@
-	$(CC) --shared -fPIC -Wl,-soname,$@.$(LIB_VER_MAJOR) $^ -lm -lrt -o $@.$(lib-version-suffix)
+	$(CC) $(LDFLAGS) --shared -fPIC -Wl,-soname,$@.$(LIB_VER_MAJOR) $^ -lm -lrt -o $@.$(lib-version-suffix)
 	ln -sf $@.$(lib-version-suffix) $@.$(LIB_VER_MAJOR)
 	ln -sf $@.$(lib-version-suffix) $@
 
@@ -99,7 +99,7 @@
 	$(AR) $(ARFLAGS) $@ $^
 libhpiudp.so: $(libhpiudp-objs)
 	-rm -f $@
-	$(CC) --shared -fPIC -Wl,-soname,$@.$(LIB_VER_MAJOR) $^ -lm -lrt -lpthread -o $@.$(lib-version-suffix)
+	$(CC) $(LDFLAGS) --shared -fPIC -Wl,-soname,$@.$(LIB_VER_MAJOR) $^ -lm -lrt -lpthread -o $@.$(lib-version-suffix)
 	ln -sf $@.$(lib-version-suffix) $@.$(LIB_VER_MAJOR)
 	ln -sf $@.$(lib-version-suffix) $@
 
@@ -115,7 +115,7 @@
 	$(AR) $(ARFLAGS) $@ $^
 libhpimux.so: $(libhpimux-objs)
 	-rm -f $@
-	$(CC) --shared -fPIC -Wl,-soname,$@.$(LIB_VER_MAJOR) $^ -lm -lrt -lpthread -o $@.$(lib-version-suffix)
+	$(CC) $(LDFLAGS) --shared -fPIC -Wl,-soname,$@.$(LIB_VER_MAJOR) $^ -lm -lrt -lpthread -o $@.$(lib-version-suffix)
 	ln -sf $@.$(lib-version-suffix) $@.$(LIB_VER_MAJOR)
 	ln -sf $@.$(lib-version-suffix) $@
