=== deb/asihpi-dkms/Makefile ===
DESTDIR ?=

.PHONY: install
install:
	install -D -m 644 src/*.c src/*.h src/hpi_version.mk "$(DESTDIR)"
	install -m 644 src/Makefile "$(DESTDIR)"
