=== deb/asihpi-dkms/src/Makefile ===
# If KERNELRELEASE is defined, we've been invoked from the
# kernel build system and can use its language
ifneq ($(KERNELRELEASE),)

asihpi-objs := hpimod.o hpicmn.o hpifunc.o hpidebug.o  hpimsgx.o hpios.o\
           hpi6000.o hpi6205.o hpi6700.o hpidspcd.o hpimsginit.o\
           hpioctl.o

obj-m := asihpi.o

EXTRA_CFLAGS = -DDRIVER_VERSION=@VERSION@ \
	-DHPI_OS_LINUX_KERNEL \
	-DHPI_BUILD_DEBUG \
	-DHPI_BUILD_INCLUDE_HPI6000 \
	-DHPI_BUILD_INCLUDE_HPI6205 \
	-DHPI_BUILD_INCLUDE_HPI6700 \
	-DHPI_BUILD_INCLUDE_INTERNAL \
	-DHPI_BUILD_EXCLUDE_ALL_DEPRECATED \
	-O \
	-I$(M)

# otherwise we were called directly from the command
# line; invoke the kernel build system.
else
KERNELDIR ?= /lib/modules/$(shell uname -r)/build

modules modules_install clean::
	echo $(CURDIR)
	make -C $(KERNELDIR) M=$(CURDIR) $@

clean::
	rm -f *.o Module.markers modules.order

endif
