=== deb/asihpi-dkms/debian/control ===
Source: asihpi-dkms-4.20
Section: sound
Priority: optional
Build-Depends: debhelper (>= 9), dkms (>= 2.1.0.0)
Maintainer: AudioScience Linux developers <support@audioscience.com>
Standards-Version: 3.9.7

Package: asihpi-dkms-4.20
Architecture: all
Depends: ${misc:Depends}
Recommends: python
Provides: asihpi-driver
Conflicts: asihpi-driver
Description: HPI driver for AudioScience cards - dkms source
 Contains the driver sources and DKMS configuration, plus
 card firmware and udev rule
