=== deb/asihpi-libs/debian/control ===
Source: hpklinux
Section: sound
Priority: optional
# FIXME: correct build-depends
Build-Depends: debhelper (>= 9)
Maintainer: AudioScience Linux developers <support@audioscience.com>
Standards-Version: 3.9.7

Package: libhpi
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libraries for the AudioScience HPI API
 This package contains the HPI library for access to
 locally installed AudioScience sound cards only.

Package: libhpiudp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libraries for  AudioScience HPI API including networking
 This package contains the HPI library including access to
 AudioScience networked sound adapters.

Package: libhpi-dev
Architecture: any
Depends: ${misc:Depends}, libhpi (= ${binary:Version}), libhpiudp (= ${binary:Version})
Section: libdevel
Description: development files for libhpi and libhpiudp
 This package contains the development files needed to build programs
 using the HPI C API.
