=== deb/asihpi-meta/debian/control ===
Source: asihpi-meta-4
Section: sound
Priority: optional
Maintainer: AudioScience Linux Developers <linux@audioscience.com>
Build-Depends: debhelper (>= 9.0.0)
Standards-Version: 3.9.7
#Homepage: <insert the upstream URL, if relevant>

Package: snd-asihpi-dkms-4
Architecture: all
Conflicts: asihpi-dkms-4
Depends: ${misc:Depends}, snd-asihpi-dkms-4.20
Description: ALSA driver for AudioScience cards
 This is a metapackage for users that want auto updates across minor versions.

Package: asihpi-dkms-4
Architecture: all
Conflicts: snd-asihpi-dkms-4
Depends: ${misc:Depends}, asihpi-dkms-4.20
Description: HPI driver for AudioScience cards
 This is a metapackage for users that want auto updates across minor versions.
