=== deb/asihpi-utils/debian/control ===
Source: asihpi-utils
Section: sound
Priority: optional
Build-Depends: debhelper (>= 9), libhpi-dev (>= 4.20)
Maintainer: AudioScience Linux developers <support@audioscience.com>
Standards-Version: 3.9.7

Package: asihpi-utils
Architecture: any
Depends: ${misc:Depends}, libhpi (= ${binary:Version}), libhpiudp (= ${binary:Version})
Description: utilities for AudioScience sound cards
 This package contains control and test programs AudioScience cards,
 and firmware update utility for networked audio adapters.
