=== deb/python-audioscience/debian/control ===
Source: python-audioscience
Section: python
Priority: optional
Build-Depends: debhelper (>= 9), python2, python3-all, python-setuptools, python3-setuptools
Maintainer: AudioScience Linux developers <linux@audioscience.com>
Standards-Version: 3.9.7
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2

Package: python2-audioscience
Architecture: all
Depends: ${python2:Depends}, ${misc:Depends}, libhpi, libhpiudp
Description: Python binding for AudioScience HPI API
 audioscience.hpi - python2 bindings to HPI library

Package: python3-audioscience
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, libhpi, libhpiudp
Description: Python binding for AudioScience HPI API
 audioscience.hpi - python bindings to HPI library

Package: python-audioscience
Architecture: all
Depends: ${python2:Depends}, ${misc:Depends}, python, python2-audioscience, python-tk
Description: Python scripts for AudioScience HPI API
 hpicontrol - to set/get controls, attributes, adapter mode
 hpimixer - Tk gui control and monitoring of mixer
