=== deb/asihpi-libs/debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -D src -- install-prefix=/usr lib-install-dir=/usr/lib

override_dh_auto_install:
	dh_auto_install -D src -- install-prefix=/usr lib-install-dir=/usr/lib
