=== deb/python-audioscience/debian/rules ===
#! /usr/bin/make -f
# rules using pybuild, not available on Ubuntu 12.04

# export DH_VERBOSE = 1

%:
	dh $@ --with=python2,python3 --buildsystem=pybuild
