=== deb/snd-asihpi-dkms/debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

VERSION	:= $(shell dpkg-parsechangelog | sed -nr  '/^Source:/s/Source: [a-z-]*(.*)/\1/p')

%:
	dh $@ --with dkms

override_dh_install:
	dh_install src/*.h src/*.c src/*.sh src/Makefile src/hpi_version.mk usr/src/snd-asihpi-$(VERSION)/
	dh_install firmware/*.bin firmware/dspinfo.py lib/firmware/asihpi/$(VERSION)/

override_dh_dkms:
	dh_dkms -V $(VERSION)

# do nothing
override_dh_auto_configure override_dh_auto_build override_dh_auto_test override_dh_auto_install override_dh_auto_clean:
