## hpklinux 4.20.43

=== alsa-drv/Makefile ===
--- 
+++ 
@@ -15,13 +15,25 @@
 # make -C <path-to-kernel-source> SUBDIRS=$PWD modules
 # If you used O=<path-to-build-directory> for kernel build, use it here too
 
-ifdef KBUILD_VERBOSE
+ifneq ($(or $(KBUILD_MODULES),$(KBUILD_VERBOSE),$(KBUILD_EXTMOD)),)
 # then we are coming from the kernel build sytem
 
 snd-asihpi-objs := asihpi.o hpicmn.o hpifunc.o hpidebug.o  hpimsgx.o hpios.o\
 		hpi6000.o hpi6205.o hpi6700.o hpidspcd.o hpimsginit.o hpioctl.o
 
 obj-m += snd-asihpi.o
+
+ifeq ($(shell egrep -qw "pci_set_consistent_dma_mask" $(realpath $(srctree))/include/linux/*.h; echo $$?),0)
+	   have-pci-set-consistent-dma-mask := 1
+else
+	   have-pci-set-consistent-dma-mask := 0
+endif
+
+ifeq ($(shell egrep -qw "pci_set_dma_mask" $(realpath $(srctree))/include/linux/*.h; echo $$?),0)
+	   have-pci-set-dma-mask := 1
+else
+	   have-pci-set-dma-mask := 0
+endif
 
 ifeq ($(shell egrep -qw "snd_pcm_stop_xrun" $(realpath $(srctree))/include/sound/pcm.h; echo $$?),0)
 	   have-snd-pcm-stop-xrun := 1
@@ -49,6 +61,8 @@
 
 # Allow #include <header>  to get header from this build dir
 EXTRA_CFLAGS = -DKERNEL_ALSA_BUILD -I$(M) \
+	-DHAVE_PCI_SET_CONSISTENT_DMA_MASK=$(have-pci-set-consistent-dma-mask) \
+	-DHAVE_PCI_SET_DMA_MASK=$(have-pci-set-dma-mask) \
 	-DHAVE_SND_PCM_STOP_XRUN=$(have-snd-pcm-stop-xrun) \
 	-DHAVE_PCM_FORMAT_TO_BITS=$(have-pcm-format-to-bits) \
 	-DHAVE_SND_CTL_ENUM_INFO=$(have-snd-ctl-enum-info) \
