=== hpi-drv/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # make -C <path-to-kernel-source> SUBDIRS=$PWD modules
 # If you used O=<path-to-build-directory> for kernel build, use it here too
 
-ifdef KBUILD_VERBOSE
+ifneq ($(or $(KBUILD_MODULES),$(KBUILD_VERBOSE),$(KBUILD_EXTMOD)),)
 # then we are coming from the kernel build system
 
 include $(M)/hpi_version.mk
@@ -25,6 +25,18 @@
 
 obj-m += asihpi.o
 
+ifeq ($(shell egrep -qw "pci_set_consistent_dma_mask" $(realpath $(srctree))/include/linux/*.h; echo $$?),0)
+	   have-pci-set-consistent-dma-mask := 1
+else
+	   have-pci-set-consistent-dma-mask := 0
+endif
+
+ifeq ($(shell egrep -qw "pci_set_dma_mask" $(realpath $(srctree))/include/linux/*.h; echo $$?),0)
+	   have-pci-set-dma-mask := 1
+else
+	   have-pci-set-dma-mask := 0
+endif
+
 EXTRA_CFLAGS = -DDRIVER_VERSION=$(hpi-version-string) \
 	-DHPI_OS_LINUX_KERNEL \
 	-DHPI_BUILD_DEBUG \
@@ -33,6 +45,8 @@
 	-DHPI_BUILD_INCLUDE_HPI6700 \
 	-DHPI_BUILD_INCLUDE_INTERNAL \
 	-DHPI_BUILD_EXCLUDE_ALL_DEPRECATED \
+	-DHAVE_PCI_SET_CONSISTENT_DMA_MASK=$(have-pci-set-consistent-dma-mask) \
+	-DHAVE_PCI_SET_DMA_MASK=$(have-pci-set-dma-mask) \
 	-O \
 	-I$(M)
