=== deb/asihpi-dkms/debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: asihpi-dkms-4.20
 Section: sound
 Priority: optional
-Build-Depends: debhelper (>= 9), dkms (>= 2.1.0.0)
+Build-Depends: debhelper (>= 12), dkms (>= 2.1.0.0)
 Maintainer: AudioScience Linux developers <support@audioscience.com>
-Standards-Version: 3.9.7
+Standards-Version: 4.5.0
 
 Package: asihpi-dkms-4.20
 Architecture: all
