## hpklinux 4.20.48

=== alsa-drv/Makefile ===
--- 
+++ 
@@ -23,10 +23,22 @@
 
 obj-m += snd-asihpi.o
 
+ifeq ($(shell egrep -qw "strscpy" $(realpath $(srctree))/include/linux/*.h; echo $$?),0)
+	   have-strscpy := 1
+else
+	   have-strscpy := 0
+endif
+
 ifeq ($(shell egrep -qw "pci_set_consistent_dma_mask" $(realpath $(srctree))/include/linux/*.h; echo $$?),0)
 	   have-pci-set-consistent-dma-mask := 1
 else
 	   have-pci-set-consistent-dma-mask := 0
+endif
+
+ifeq ($(shell egrep -qw "dma_set_min_align_mask" $(realpath $(srctree))/include/linux/*.h; echo $$?),0)
+	   have-dma-set-min-align-mask := 1
+else
+	   have-dma-set-min-align-mask := 0
 endif
 
 ifeq ($(shell egrep -qw "pci_set_dma_mask" $(realpath $(srctree))/include/linux/*.h; echo $$?),0)
@@ -66,7 +78,9 @@
 	-DHAVE_SND_PCM_STOP_XRUN=$(have-snd-pcm-stop-xrun) \
 	-DHAVE_PCM_FORMAT_TO_BITS=$(have-pcm-format-to-bits) \
 	-DHAVE_SND_CTL_ENUM_INFO=$(have-snd-ctl-enum-info) \
-	-DHAVE_SND_CARD_NEW=$(have-snd-card-new)
+	-DHAVE_SND_CARD_NEW=$(have-snd-card-new) \
+	-DHAVE_DMA_SET_MIN_ALIGN_MASK=$(have-dma-set-min-align-mask) \
+	-DHAVE_STRSCPY=$(have-strscpy)
 
 else
 # Use the autoconf generated makefile for setup, install, dist targets etc.
