=== asi-python/Makefile ===
--- 
+++ 
@@ -31,7 +31,7 @@
 setup: $(setup-files)
 
 build install: setup
-	python setup.py $(OPTS) $@ $(CMD_OPTS)
+	python2 setup.py $(OPTS) $@ $(CMD_OPTS)
 
 clean distclean:
 	rm -rf $(filter-out $(precious-files),$(wildcard *))
