=== deb/Makefile ===
--- 
+++ 
@@ -25,9 +25,9 @@
 
 include hpi_version.mk
 
-distro-series = buster
+distro-series = buster focal jammy
 
-distro-archs = amd64 i386
+distro-archs = amd64
 
 series-from-path = $(notdir $(patsubst %/,%,$(dir $(1))))
 debpkg-changelog-files = $(addsuffix -changelog.in,$(debpkg-dir-names))
