=== hpi-drv/Makefile ===
--- 
+++ 
@@ -31,6 +31,12 @@
 	   have-pci-set-consistent-dma-mask := 0
 endif
 
+ifeq ($(shell egrep -qw "dma_set_min_align_mask" $(realpath $(srctree))/include/linux/*.h; echo $$?),0)
+	   have-dma-set-min-align-mask := 1
+else
+	   have-dma-set-min-align-mask := 0
+endif
+
 ifeq ($(shell egrep -qw "pci_set_dma_mask" $(realpath $(srctree))/include/linux/*.h; echo $$?),0)
 	   have-pci-set-dma-mask := 1
 else
@@ -47,6 +53,7 @@
 	-DHPI_BUILD_EXCLUDE_ALL_DEPRECATED \
 	-DHAVE_PCI_SET_CONSISTENT_DMA_MASK=$(have-pci-set-consistent-dma-mask) \
 	-DHAVE_PCI_SET_DMA_MASK=$(have-pci-set-dma-mask) \
+	-DHAVE_DMA_SET_MIN_ALIGN_MASK=$(have-dma-set-min-align-mask) \
 	-O \
 	-I$(M)
