=== deb/asihpi-dkms/debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: asihpi-dkms-4.20
 Section: sound
 Priority: optional
-Build-Depends: debhelper (>= 12), dkms (>= 2.1.0.0)
+Build-Depends: debhelper (>= 12), dh-sequence-dkms
 Maintainer: AudioScience Linux developers <support@audioscience.com>
 Standards-Version: 4.5.0
