=== deb/asihpi-libs/debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: hpklinux
 Section: sound
 Priority: optional
-# FIXME: correct build-depends
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 12)
 Maintainer: AudioScience Linux developers <support@audioscience.com>
-Standards-Version: 3.9.7
+Standards-Version: 4.5.0
 
 Package: libhpi
 Architecture: any
@@ -20,9 +19,16 @@
  This package contains the HPI library including access to
  AudioScience networked sound adapters.
 
+Package: libhpimux
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: libraries for  AudioScience HPI API including networking
+ This package contains the HPI library including access to
+ AudioScience networked sound adapters.
+
 Package: libhpi-dev
 Architecture: any
-Depends: ${misc:Depends}, libhpi (= ${binary:Version}), libhpiudp (= ${binary:Version})
+Depends: ${misc:Depends}, libhpi (= ${binary:Version}), libhpiudp (= ${binary:Version}), libhpimux (= ${binary:Version})
 Section: libdevel
 Description: development files for libhpi and libhpiudp
  This package contains the development files needed to build programs
