=== deb/asihpi-meta/debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: sound
 Priority: optional
 Maintainer: AudioScience Linux Developers <linux@audioscience.com>
-Build-Depends: debhelper (>= 9.0.0)
-Standards-Version: 3.9.7
+Build-Depends: debhelper (>= 12)
+Standards-Version: 4.5.0
 #Homepage: <insert the upstream URL, if relevant>
 
 Package: snd-asihpi-dkms-4
