=== deb/asihpi-utils/debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: asihpi-utils
 Section: sound
 Priority: optional
-Build-Depends: debhelper (>= 9), libhpi-dev (>= 4.20)
+Build-Depends: debhelper (>= 12), libhpi-dev (>= 4.20)
 Maintainer: AudioScience Linux developers <support@audioscience.com>
-Standards-Version: 3.9.7
+Standards-Version: 4.5.0
 
 Package: asihpi-utils
 Architecture: any
