=== deb/python-audioscience/debian/control ===
Source: python-audioscience
Section: python
Priority: optional
Build-Depends: debhelper (>= 12), python3, python3-wheel, dh-python
Build-Depends-Indep: python3-setuptools
Maintainer: AudioScience Linux developers <linux@audioscience.com>
Standards-Version: 4.5.0
X-Python3-Version: >= 3.5

Package: python3-audioscience
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, libhpi, libhpiudp
Description: Python binding for AudioScience HPI API
 audioscience.hpi - python3 bindings to HPI library

Package: python3-audioscience-utils
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3, python3-audioscience, python3-tk
Description: Python scripts for AudioScience HPI API
 hpicontrol - to set/get controls, attributes, adapter mode
 hpimixer - Tk gui control and monitoring of mixer
