=== deb/python-audioscience/debian/rules ===
#! /usr/bin/make -f

# export DH_VERBOSE = 1

%:
	dh $@ --with python3 --buildsystem=pybuild
