## hpklinux 4.30.18-g23f629632

=== hpi-cli-apps/Makefile ===
--- 
+++ 
@@ -43,9 +43,13 @@
 endif
 
 bins = asihpitest asihpiassert asihpitune asihpirec asihpiplay \
-	asi_firmware_updater asihpibl asihpirds asihpi_si4688
+	asi_firmware_updater asihpibl asihpirds asihpisetmode asihpi_si4688
+
 install-prefix ?= /usr/local
 bin-install-dir ?= $(install-prefix)/bin
+
+asihpisetmode: $(asihpisetmode-srcs)
+	$(CC) $(CFLAGS) $(INCLUDES) -o $@ $^ -lhpi -lm
 
 asihpirds: $(asihpirds-srcs)
 	$(CC) $(CFLAGS) $(LDFLAGS) $(INCLUDES) -o $@ $^ -lhpi -lm
