=== hpi-lib/Makefile ===
--- 
+++ 
@@ -41,6 +41,7 @@
 	-DHPI_BUILD_DEBUG \
 	-DHPI_BUILD_INCLUDE_INTERNAL \
 	-DHPI_BUILD_EXCLUDE_ALL_DEPRECATED \
+	-DHPI_BUILD_NO_SHARED_GLOBALS \
 	-DnotHPI_BUILD_HPIDUMP 
 
 install-prefix ?= /usr/local
