=== deb/asihpi-dkms/debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
-Source: asihpi-dkms-4.20
+Source: asihpi-dkms-4.29
 Section: sound
 Priority: optional
-Build-Depends: debhelper (>= 12), dh-sequence-dkms
+Build-Depends: debhelper (>= 9), dkms (>= 2.1.0.0)
 Maintainer: AudioScience Linux developers <support@audioscience.com>
-Standards-Version: 4.5.0
+Standards-Version: 3.9.7
 
-Package: asihpi-dkms-4.20
+Package: asihpi-dkms-4.29
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: python
