=== deb/snd-asihpi-dkms/debian/control ===
Source: snd-asihpi-dkms-4.29
Section: sound
Priority: optional
Build-Depends: debhelper (>= 9), dkms (>= 2.1.0.0)
Maintainer: AudioScience Linux developers <support@audioscience.com>
Standards-Version: 3.9.7

Package: snd-asihpi-dkms-4.29
Architecture: all
Provides: asihpi-driver
Conflicts: asihpi-driver
Depends: ${misc:Depends}
Recommends: python
Description: ALSA driver for AudioScience cards
 Contains the driver sources and DKMS configuration, plus
 card firmware
